Bug 1130376 - Exception: No initrds found, cannot rebuild_initrds
Summary: Exception: No initrds found, cannot rebuild_initrds
Keywords:
Status: CLOSED INSUFFICIENT_DATA
Alias: None
Product: Fedora
Classification: Fedora
Component: lorax
Version: 19
Hardware: Unspecified
OS: Unspecified
unspecified
medium
Target Milestone: ---
Assignee: Brian Lane
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-08-15 04:07 UTC by Arun S A G
Modified: 2014-12-09 22:03 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-12-09 22:03:15 UTC


Attachments (Terms of Use)
Base KS (9.12 KB, text/plain)
2014-08-15 04:07 UTC, Arun S A G
no flags Details

Description Arun S A G 2014-08-15 04:07:30 UTC
Created attachment 926979 [details]
Base KS

Description of problem:

sudo livemedia-creator --make-iso --releasever 19 --ks fedora-live-base.ks --no-virt --resultdir iso
[sudo] password for saga: 
2014-08-14 20:28:29,530: disk_size = 8GB
2014-08-14 20:28:29,530: disk_img = /var/tmp/diskWLamfP.img
2014-08-14 20:28:29,530: install_log = /home/saga/virt-install.log
mkfs.ext4
['-L', 'Anaconda', '-b', '1024', '-m', '0', '/dev/loop14']
mke2fs 1.42.7 (21-Jan-2013)
Discarding device blocks: done                            
Filesystem label=Anaconda
OS type: Linux
Block size=1024 (log=0)
Fragment size=1024 (log=0)
Stride=0 blocks, Stripe width=0 blocks
524288 inodes, 8388608 blocks
0 blocks (0.00%) reserved for the super user
First data block=1
Maximum filesystem blocks=75497472
1024 block groups
8192 blocks per group, 8192 fragments per group
512 inodes per group
Superblock backups stored on blocks: 
	8193, 24577, 40961, 57345, 73729, 204801, 221185, 401409, 663553, 
	1024001, 1990657, 2809857, 5120001, 5971969

Allocating group tables: done                            
Writing inode tables: done                            
Creating journal (32768 blocks): done
Writing superblocks and filesystem accounting information: done     

mount
['/dev/loop14', '/var/tmp/lorax.imgutils.lav1TP']
umount
['/var/tmp/lorax.imgutils.lav1TP']
losetup
['--detach', '/dev/loop14']
mount
['-o', 'loop', '/var/tmp/diskWLamfP.img', '/mnt/sysimage/']
anaconda
['--kickstart', '/home/saga/fedora-live-base.ks', '--cmdline', '--repo', 'http://mirrors.kernel.org/fedora/releases/20/Everything/x86_64/os/', '--dirinstall']
Starting installer, one moment...
anaconda 19.30.13-1 for anaconda bluesky (pre-release) started.
Starting automated install..
================================================================================
================================================================================
Installation

 1) [x] Installation source               2) [x] Timezone settings
        (http://mirrors.kernel.org/fedo          (US/Eastern timezone)
        ra/releases/20/Everything/x86_6   4) [x] Set root password
        4/os/)                                   (Password is set.)
 3) [x] Create user
        (No user will be created)
 5) [x] Software selection
        (Custom software selected)
================================================================================
================================================================================
Progress
Setting up the installation environment
.
Starting package installation process
Preparing transaction from installation source
Installing libgcc (1/448)
Installing setup (2/448)
Installing hwdata (3/448)
Installing filesystem (4/448)
Installing langtable (5/448)
Installing bind-license (6/448)
Installing langtable-data (7/448)
Installing basesystem (8/448)
Installing kbd-misc (9/448)
Installing quota-nls (10/448)
Installing ncurses-base (11/448)
Installing fedora-release (12/448)
Installing emacs-filesystem (13/448)
Installing comps-extras (14/448)
Installing libreport-filesystem (15/448)
Installing tzdata (16/448)
Installing nss-softokn-freebl (17/448)
Installing glibc-common (18/448)
Installing glibc (19/448)
Installing libstdc++ (20/448)
Installing ncurses-libs (21/448)
Installing bash (22/448)
Installing libsepol (23/448)
Installing pcre (24/448)
Installing libselinux (25/448)
Installing zlib (26/448)
Installing info (27/448)
Installing libcom_err (28/448)
Installing nspr (29/448)
Installing popt (30/448)
Installing chkconfig (31/448)
Installing dbus-libs (32/448)
Installing nss-util (33/448)
Installing audit-libs (34/448)
Installing xz-libs (35/448)
Installing bzip2-libs (36/448)
Installing libuuid (37/448)
Installing libxml2 (38/448)
Installing grep (39/448)
Installing readline (40/448)
Installing libtalloc (41/448)
Installing keyutils-libs (42/448)
Installing libattr (43/448)
Installing libacl (44/448)
Installing sed (45/448)
Installing libcap (46/448)
Installing libtevent (47/448)
Installing sqlite (48/448)
Installing libdhash (49/448)
Installing libdb (50/448)
Installing tcp_wrappers-libs (51/448)
Installing libidn (52/448)
Installing libffi (53/448)
Installing glib2 (54/448)
Installing pkgconfig (55/448)
Installing shared-mime-info (56/448)
Installing libgpg-error (57/448)
Installing libgcrypt (58/448)
Installing gawk (59/448)
Installing libcap-ng (60/448)
Installing libsss_idmap (61/448)
Installing libtdb (62/448)
Installing expat (63/448)
Installing dbus-glib (64/448)
Installing libldb (65/448)
Installing p11-kit (66/448)
Installing cyrus-sasl-lib (67/448)
Installing lua (68/448)
Installing e2fsprogs-libs (69/448)
Installing findutils (70/448)
Installing iptables (71/448)
Installing elfutils-libelf (72/448)
Installing libcollection (73/448)
Installing libnl3 (74/448)
Installing libpcap (75/448)
Installing nss-softokn (76/448)
Installing which (77/448)
Installing cpio (78/448)
Installing file-libs (79/448)
Installing gmp (80/448)
Installing pcsc-lite-libs (81/448)
Installing libjpeg-turbo (82/448)
Installing file (83/448)
Installing libassuan (84/448)
Installing libcroco (85/448)
Installing gobject-introspection (86/448)
Installing ModemManager-glib (87/448)
Installing groff-base (88/448)
Installing keyutils (89/448)
Installing bzip2 (90/448)
Installing xz (91/448)
Installing kmod-libs (92/448)
Installing kmod (93/448)
Installing avahi-libs (94/448)
Installing libgomp (95/448)
Installing libunistring (96/448)
Installing libpng (97/448)
Installing hostname (98/448)
Installing slang (99/448)
Installing newt (100/448)
Installing gdbm (101/448)
Installing numactl-libs (102/448)
Installing libbsd (103/448)
Installing libwbclient (104/448)
Installing pciutils-libs (105/448)
Installing libtasn1 (106/448)
Installing linux-atm-libs (107/448)
Installing iproute (108/448)
Installing lzo (109/448)
Installing p11-kit-trust (110/448)
Installing ca-certificates (111/448)
Installing freetype (112/448)
Installing gettext-libs (113/448)
Installing less (114/448)
Installing jasper-libs (115/448)
Installing nettle (116/448)
Installing gnutls (117/448)
Installing iw (118/448)
Installing libmetalink (119/448)
Installing gsettings-desktop-schemas (120/448)
Installing libipa_hbac (121/448)
Installing libqmi (122/448)
Installing desktop-file-utils (123/448)
Installing tcp_wrappers (124/448)
Installing quota (125/448)
Installing libdb-utils (126/448)
Installing tar (127/448)
Installing vim-minimal (128/448)
Installing acl (129/448)
Installing pinentry (130/448)
Installing mozjs17 (131/448)
Installing libss (132/448)
Installing diffutils (133/448)
Installing make (134/448)
Installing libselinux-utils (135/448)
Installing psmisc (136/448)
Installing dtc (137/448)
Installing hunspell-en-US (138/448)
Installing hunspell (139/448)
Installing ncurses (140/448)
Installing libedit (141/448)
Installing libmodman (142/448)
Installing libproxy (143/448)
Installing glib-networking (144/448)
Installing libsoup (145/448)
Installing libestr (146/448)
Installing ustr (147/448)
Installing libsemanage (148/448)
Installing nss-tools (149/448)
Installing gzip (150/448)
Installing cracklib (151/448)
Installing cracklib-dicts (152/448)
Installing openldap (153/448)
Installing libmount (154/448)
Installing systemd-libs (155/448)
Installing libpwquality (156/448)
Installing libuser (157/448)
Installing nss (158/448)
Installing coreutils (159/448)
Installing pam (160/448)
Installing shadow-utils (161/448)
Installing libblkid (162/448)
Installing libutempter (163/448)
Installing util-linux (164/448)
Installing nss-sysinit (165/448)
Installing libusbx (166/448)
Installing fedora-logos (167/448)
Installing procps-ng (168/448)
Installing dhcp-libs (169/448)
Installing dhcp-common (170/448)
Installing libusb (171/448)
Installing passwd (172/448)
Installing usermode (173/448)
Installing logrotate (174/448)
Installing xdg-utils (175/448)
Installing alsa-lib (176/448)
Installing libnfsidmap (177/448)
Installing ntfs-3g (178/448)
Installing jbigkit-libs (179/448)
Installing libtiff (180/448)
Installing qrencode-libs (181/448)
Installing hardlink (182/448)
Installing libXau (183/448)
Installing libxcb (184/448)
Installing libndp (185/448)
Installing c-ares (186/448)
Installing libnfnetlink (187/448)
Installing libsysfs (188/448)
Installing libmnl (189/448)
Installing libnetfilter_conntrack (190/448)
Installing json-c (191/448)
Installing libverto (192/448)
Installing krb5-libs (193/448)
Installing openssl-libs (194/448)
Installing python-libs (195/448)
Installing python (196/448)
Installing python-six (197/448)
Installing dbus-python (198/448)
Installing python-decorator (199/448)
Installing gettext (200/448)
Installing libssh2 (201/448)
Installing libcurl (202/448)
Installing libarchive (203/448)
Installing libtirpc (204/448)
Installing curl (205/448)
Installing rpm-libs (206/448)
Installing rpm (207/448)
Installing policycoreutils (208/448)
Installing selinux-policy (209/448)
Installing python-pycurl (210/448)
Installing python-urlgrabber (211/448)
Installing python-iniparse (212/448)
Installing pygobject3-base (213/448)
Installing langtable-python (214/448)
Installing pyliblzma (215/448)
Installing python-chardet (216/448)
Installing python-kitchen (217/448)
Installing libxml2-python (218/448)
Installing pytalloc (219/448)
Installing pygobject2 (220/448)
Installing newt-python (221/448)
Installing python-sssdconfig (222/448)
Installing pyxattr (223/448)
Installing yum-metadata-parser (224/448)
Installing libselinux-python (225/448)
Installing python-slip (226/448)
Installing python-slip-dbus (227/448)
Installing bind-libs (228/448)
Installing bind-utils (229/448)
Installing fipscheck-lib (230/448)
Installing fipscheck (231/448)
Installing device-mapper (232/448)
Installing device-mapper-libs (233/448)
Installing cryptsetup-libs (234/448)
Installing systemd (235/448)
Installing dbus (236/448)
Installing polkit (237/448)
Installing polkit-pkla-compat (238/448)
Installing libgudev1 (239/448)
Installing ppp (240/448)
Installing PackageKit-glib (241/448)
Installing iputils (242/448)
Installing pcsc-lite-ccid (243/448)
Installing pcsc-lite (244/448)
Installing crontabs (245/448)
Installing cronie-anacron (246/448)
Installing cronie (247/448)
Installing lockdev (248/448)
Installing os-prober (249/448)
Installing openssh (250/448)
Installing grub2-tools (251/448)
Installing NetworkManager-glib (252/448)
Installing libmbim (253/448)
Installing wpa_supplicant (254/448)
Installing fxload (255/448)
Installing alsa-tools-firmware (256/448)
Installing alsa-firmware (257/448)
Installing ebtables (258/448)
Installing dnsmasq (259/448)
Installing usb_modeswitch (260/448)
Installing usb_modeswitch-data (261/448)
Installing net-tools (262/448)
Installing rpcbind (263/448)
Installing kpartx (264/448)
Installing dracut (265/448)
Installing libevent (266/448)
Installing openssl (267/448)
Installing authconfig (268/448)
Installing cups-libs (269/448)
Installing samba-libs (270/448)
Installing socat (271/448)
Installing libwvstreams (272/448)
Installing bind-libs-lite (273/448)
Installing cyrus-sasl-gssapi (274/448)
Installing mailx (275/448)
Installing libpath_utils (276/448)
Installing libpipeline (277/448)
Installing libpciaccess (278/448)
Installing libdrm (279/448)
Installing plymouth-core-libs (280/448)
Installing pth (281/448)
Installing gnupg2 (282/448)
Installing rpm-build-libs (283/448)
Installing rpm-python (284/448)
Installing gpgme (285/448)
Installing pygpgme (286/448)
Installing yum (287/448)
Installing PackageKit-yum (288/448)
Installing PackageKit (289/448)
Installing rmt (290/448)
Installing libsss_nss_idmap (291/448)
Installing sssd-client (292/448)
Installing libdaemon (293/448)
Installing avahi-autoipd (294/448)
Installing sysvinit-tools (295/448)
Installing initscripts (296/448)
Installing plymouth-scripts (297/448)
Installing plymouth (298/448)
Installing dhclient (299/448)
Installing libref_array (300/448)
Installing libnl (301/448)
Installing crda (302/448)
Installing libbasicobjects (303/448)
Installing libini_config (304/448)
Installing sssd-common (305/448)
Installing sssd-krb5-common (306/448)
Installing sssd-common-pac (307/448)
Installing sssd-ipa (308/448)
Installing sssd-ad (309/448)
Installing sssd-krb5 (310/448)
Installing sssd-ldap (311/448)
Installing sssd-proxy (312/448)
Installing lrzsz (313/448)
Installing passwdqc-lib (314/448)
Installing linux-firmware (315/448)
Installing libX11-common (316/448)
Installing libX11 (317/448)
Installing gdk-pixbuf2 (318/448)
Installing libfprint (319/448)
Installing fprintd (320/448)
Installing kbd-legacy (321/448)
Installing kbd (322/448)
Installing pm-utils (323/448)
Installing fprintd-pam (324/448)
Installing kernel (325/448)
Installing passwdqc (326/448)
Installing minicom (327/448)
Installing sssd (328/448)
Installing wireless-tools (329/448)
Installing NetworkManager (330/448)
Installing isdn4k-utils (331/448)
Installing rp-pppoe (332/448)
Installing dump (333/448)
Installing PackageKit-yum-plugin (334/448)
Installing yum-langpacks (335/448)
Installing yum-utils (336/448)
Installing sos (337/448)
Installing man-db (338/448)
Installing smartmontools (339/448)
Installing wvdial (340/448)
Installing nmap-ncat (341/448)
Installing realmd (342/448)
Installing nfs-utils (343/448)
Installing dracut-config-rescue (344/448)
Installing grub2 (345/448)
Installing firewalld (346/448)
Installing ModemManager (347/448)
Installing openssh-clients (348/448)
Installing openssh-server (349/448)
Installing mlocate (350/448)
Installing coolkey (351/448)
Installing rsyslog (352/448)
Installing rsync (353/448)
Installing rng-tools (354/448)
Installing at (355/448)
Installing audit (356/448)
Installing irda-utils (357/448)
Installing b43-openfwwf (358/448)
Installing biosdevname (359/448)
Installing mcelog (360/448)
Installing psacct (361/448)
Installing aic94xx-firmware (362/448)
Installing mdadm (363/448)
Installing cryptsetup (364/448)
Installing parted (365/448)
Installing selinux-policy-targeted (366/448)
Installing deltarpm (367/448)
Installing stunnel (368/448)
Installing wget (369/448)
Installing tcpdump (370/448)
Installing pam_krb5 (371/448)
Installing cifs-utils (372/448)
Installing iptstate (373/448)
Installing pcmciautils (374/448)
Installing ntfsprogs (375/448)
Installing pinfo (376/448)
Installing setuptool (377/448)
Installing usbutils (378/448)
Installing prelink (379/448)
Installing btrfs-progs (380/448)
Installing grubby (381/448)
Installing e2fsprogs (382/448)
Installing sudo (383/448)
Installing pam_pkcs11 (384/448)
Installing fpaste (385/448)
Installing uboot-tools (386/448)
Installing tmpwatch (387/448)
Installing lftp (388/448)
Installing linux-atm (389/448)
Installing pciutils (390/448)
Installing numactl (391/448)
Installing irqbalance (392/448)
Installing ntsysv (393/448)
Installing nano (394/448)
Installing cyrus-sasl-plain (395/448)
Installing bash-completion (396/448)
Installing mtr (397/448)
Installing jwhois (398/448)
Installing attr (399/448)
Installing bc (400/448)
Installing ftp (401/448)
Installing unzip (402/448)
Installing zip (403/448)
Installing time (404/448)
Installing ed (405/448)
Installing lsof (406/448)
Installing traceroute (407/448)
Installing fedora-release-notes (408/448)
Installing telnet (409/448)
Installing talk (410/448)
Installing tree (411/448)
Installing ethtool (412/448)
Installing dosfstools (413/448)
Installing vconfig (414/448)
Installing rdist (415/448)
Installing rsh (416/448)
Installing finger (417/448)
Installing b43-fwcutter (418/448)
Installing bridge-utils (419/448)
Installing microcode_ctl (420/448)
Installing dos2unix (421/448)
Installing symlinks (422/448)
Installing iwl1000-firmware (423/448)
Installing iwl6000-firmware (424/448)
Installing ipw2100-firmware (425/448)
Installing zd1211-firmware (426/448)
Installing rootfiles (427/448)
Installing iwl5150-firmware (428/448)
Installing iwl7260-firmware (429/448)
Installing iwl135-firmware (430/448)
Installing iwl3945-firmware (431/448)
Installing iwl2000-firmware (432/448)
Installing iwl6050-firmware (433/448)
Installing words (434/448)
Installing iwl100-firmware (435/448)
Installing ipw2200-firmware (436/448)
Installing iwl3160-firmware (437/448)
Installing iwl6000g2b-firmware (438/448)
Installing iwl6000g2a-firmware (439/448)
Installing iwl5000-firmware (440/448)
Installing iwl4965-firmware (441/448)
Installing libertas-usb8388-firmware (442/448)
Installing iwl105-firmware (443/448)
Installing atmel-firmware (444/448)
Installing man-pages (445/448)
Installing mailcap (446/448)
Installing iwl2030-firmware (447/448)
Installing ivtv-firmware (448/448)
Performing post-installation setup tasks
Performing post-installation setup tasks
.

Configuring installed system
.
Creating users
.
Configuring addons
.
Running post-installation scripts
.


	Installation complete.  Press return to quitumount
['/mnt/sysimage/']
2014-08-14 20:50:03,398: Disk Image install successful
2014-08-14 20:50:03,406: working dir is /var/tmp/tmp5fiuc4
/bin/ln
['/var/tmp/diskWLamfP.img', '/var/tmp/tmp5fiuc4/runtime/LiveOS/rootfs.img']
mksquashfs
['/var/tmp/tmp5fiuc4/runtime', '/var/tmp/tmp5fiuc4/images/install.img', '-comp', 'xz']
Parallel mksquashfs: Using 4 processors
Creating 4.0 filesystem on /var/tmp/tmp5fiuc4/images/install.img, block size 131072.
[===========================================================|] 65536/65536 100%

Exportable Squashfs 4.0 filesystem, xz compressed, data block size 131072
	compressed data, compressed metadata, compressed fragments, compressed xattrs
	duplicates are removed
Filesystem size 294515.09 Kbytes (287.61 Mbytes)
	3.51% of uncompressed filesystem size (8388864.38 Kbytes)
Inode table size 20122 bytes (19.65 Kbytes)
	7.67% of uncompressed inode table size (262330 bytes)
Directory table size 58 bytes (0.06 Kbytes)
	100.00% of uncompressed directory table size (58 bytes)
Number of duplicate files found 0
Number of inodes 3
Number of files 1
Number of fragments 0
Number of symbolic links  0
Number of device nodes 0
Number of fifo nodes 0
Number of socket nodes 0
Number of directories 2
Number of ids (unique uids + gids) 1
Number of uids 1
	root (0)
Number of gids 1
	root (0)
mount
['-o', 'loop', '/var/tmp/diskWLamfP.img', '/var/tmp/lorax.imgutils.MQ1KWq']
/bin/ln
['-s', '/var/tmp/tmp5fiuc4/images', '/var/tmp/lorax.imgutils.MQ1KWq/images']
2014-08-14 20:55:20,697: Rebuilding initrds
2014-08-14 20:55:20,697: dracut args = ['--xz', '--add', 'livenet dmsquash-live convertfs pollcdrom', '--omit', 'plymouth']
umount
['/var/tmp/lorax.imgutils.MQ1KWq']
Traceback (most recent call last):
  File "/sbin/livemedia-creator", line 936, in <module>
    result_dir = make_livecd(opts, mount_dir, work_dir)
  File "/sbin/livemedia-creator", line 535, in make_livecd
    tb.rebuild_initrds(add_args=dracut_args)
  File "/usr/lib/python2.7/site-packages/pylorax/treebuilder.py", line 200, in rebuild_initrds
    raise Exception("No initrds found, cannot rebuild_initrds")
Exception: No initrds found, cannot rebuild_initrds


Version-Release number of selected component (if applicable):

$ rpm -q lorax
lorax-19.6-1.fc19.x86_64
[21:06] saga@gnubox ~ $ rpm -q dracut
dracut-029-2.fc19.x86_64
[21:06] saga@gnubox ~ $ rpm -q systemd
systemd-204-20.fc19.x86_64

$ rpm -q anaconda
anaconda-19.30.13-1.fc19.x86_64


How reproducible:


Steps to Reproduce:
1.sudo livemedia-creator --make-iso --releasever 20 --ks fedora-live-base.ks --no-virt --resultdir iso
2.
3.

Actual results:



Expected results:
livemedia-creator creates ISO

Additional info:

Comment 1 Brian Lane 2014-10-17 00:37:56 UTC
That means the for some reason the kernel didn't get installed.

Probably not related, but when running in no-virt mode you should use the same release of anaconda as the repo you are installing. Using f19 for f20 may result in unexpected problems.

Also, you should have '-dracut-config-rescue' in the kickstart so that rescue images aren't created.


Note You need to log in before you can comment on or make changes to this bug.